	subroutine simple_dfir1d( nf, ng, f, g, h)
	double precision f(0:(nf-1)), g(0:(ng-1)), h(0:(nf+ng-2))
	integer nf, ng

	integer i, j, k

	do k = 0, nf+ng-2
	    h(k) = 0.0
	end do

	do j = 0, ng-1
	    do i = 0, nf-1
		h(i+j) = h(i+j) + f(i) * g(j)
	    end do
	end do

	return
	end
